var homePage = {
    submitchecken: function () {
        var F = $("#J_domainForm")[0];
        var arrext = [];
        var arrdom = [];
        var domains = F.searchedDomainName.value;

        if (domains == "" || domains.match(/请输入您要注册的域名/)) {
            layer.warn("请填写要查询的域名");
            return false;
        }

        $(F).siblings('.domain_content').find('[name="suffix"]').each(function () {
            if (this.checked) arrext.push(this.value);
        });

        if (F.name != "chineseDomainForm") {
            if (/[\u4e00-\u9fa5]+/.test(domains)) {
                layer.alert("您输入的域名中含有[中文字符]，当前选项卡只能查询英文域名。 <br>若需要查询中文域名，请到中文域名选项卡中查询，谢谢。");
                return false;
            }
        }

        var arrList = domains.split('\n');
        var userCustomExt = null;
        var domainNameCount = 0;
        for (var i = 0; i < arrList.length; i++) {
            var val = arrList[i].replace(/\s/g, '');
            val = val.replace(/^\./, '');
            val = val.replace(/\.$/, '');
            if (val == "") {
                continue;
            }
            // 用户直接输入的后缀
            var inputExt = val.match(/(www\.)?[^\.]*(\..*)/);
            if (inputExt) {
                userCustomExt = inputExt[2];
            }
            val = val.replace(/\.[a-z]{2,3}\.cn$/, '.miss');
            if (val.indexOf('.') >= 0) val = val.substr(0, val.lastIndexOf('.'));
            if (val.indexOf('.') >= 0) val = val.substr(0, val.lastIndexOf('.'));
            if (/^[0-9a-z\-\u4e00-\u9fa5]+$/ig.test(val)) arrdom.push(val.toLowerCase());
            domainNameCount++;
        }

        // 没有输入自定义后缀 且没有勾选后缀
        if (arrext.length == 0 && !(userCustomExt && domainNameCount == 1)) {
            layer.alert("请您勾选需要查询的域名后缀。");
            return false;
        }

        if (arrdom.length > 300 && arrdom.length > 1) {
            if (!confirm("您当前查询的域名太多，建议不要多选后缀，避免查询太多导致界面卡死，确认继续？")) return false;
        }

        if (arrdom.length > 500) {
            layer.alert("抱歉，每批查询域名数量不能超过500个，当前有" + arrdom.length + "个");
            return false;
        } else if (arrdom.length == 0) {
            layer.alert("您填写的域名不正确，无法查询。");
            return false;
        }

        F.searchedDomainName.value = arrdom.join('\n');

        if (F.name != 'customForm') {
            // 只输入一条语句 且 有后缀情况 使用用户输入的后缀做查询
            if (domainNameCount == 1 && userCustomExt) {
                F.suffix.value = [userCustomExt];
            } else {
                F.suffix.value = arrext;
                // 存储首页选中的后缀
                mUtils.getStorageIntance().setItem('my_index_ext', arrext.join(','));
            }
        }
        if (mUtils.setToken()) {
            // $("#J_domainForm").submit();
            return true;
        } else {
            layer.error('获取令牌失败，请稍后重试！');
            return false;
        }
    },
    regEvent: function () {
        // 全选 反选操作
        $("#J_ckOpts").on('change', 'input', function () {
            var target = $(this);
            var value = $(this).val();
            switch (value) {
                // 全选
                case '0':
                    $("#J_domainList").find('input').prop('checked', 'checked');
                    break;
                // 全不选
                case '1':
                    $("#J_domainList").find('input').prop('checked', '');
                    break;
                // 常用
                case '2':
                    $("#J_domainList").find('input').each(function () {
                        if ($(this).attr('common-use') == "1") {
                            $(this).prop('checked', "checked");
                        } else {
                            $(this).prop('checked', "");
                        }
                    });
                    break;
                default:
                    break;
            }
        });
    },
    int: function () {
        mUtils.initBanner("#J_banner", {
            switchLoad: "_src"
        });
        mUtils.initTab("#J_serverTab");
        mUtils.initTab("#J_newsTab");
        this.regEvent();

        // 初始化首页选中的域名后缀
        var myIndexExt = mUtils.getStorageIntance().getItem("my_index_ext");
        if (myIndexExt) {
            myIndexExt = myIndexExt.split(',');
            var domExtWrapper = $("#J_domainList");
            domExtWrapper.find('input.m-ck').prop('checked', false);
            $.each(myIndexExt, function () {
                domExtWrapper.find('input[value="' + this + '"]').prop('checked', true);
            });
        }
    }
};
$(function () {
    homePage.int();
});
